
/*
############################################################################
#    Copyright (C) 2008 by Andrianov Andrew                                #
#    aifiltr0@gmail.com                                                    #
#                                                                          #
#    This program is free software; you can redistribute it and#or modify  #
#    it under the terms of the GNU General Public License as published by  #
#    the Free Software Foundation; either version 3 of the License, or     #
#    (at your option) any later version.                                   #
#                                                                          #
#    This program is distributed in the hope that it will be useful,       #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#    GNU General Public License for more details.                          #
#                                                                          #
#    You should have received a copy of the GNU General Public License     #
#    along with this program; if not, write to the                         #
#    Free Software Foundation, Inc.,                                       #
#    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             #
############################################################################
*/


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdio.h>
#include <stdlib.h>
#include <string.h>





#include "macros.h"


int main(int argc, char *argv[])
{
	
  if (argc<2)
	  printf("Kopete XMl Log Toolkit, version 0.1\n"
	         "CoDeD by AiFiLTr0, copyleft 2008 \n"
		 "-------------------------------------\n"
	 	 "Usage: klt action [parameters]\n"
	         "Actions are: \n"	
		 "merge - merges the difference of two kopete xml based logs into each other (log version 0.9 is currently the only one supported)\n"
		 "	merge takes 3 parameters: two filenames of the log files and an integer action:\n"
		 "		1 - merge the changes into the first file, \n"
		 "		2 - 1 - merge changes into the second file, \n"
	  	 "		3 - sync files\n"
		 "validate	- checks if the file is a vilid kopete log 0.9"
		 "	Validate takes 1 parameter: filename"
	  	 "-		");
  else
	if (strcmp(argv[1],"merge")==0)
  {
  DBG("About to process %s and %s", argv[2],argv[3]);
  	int action;
	sscanf(argv[4], "%d", &action);
 	if (merge(argv[2], argv[3],action)!=0)
	{
		DBG("Some error occured");
		sleep(5);
	};
  }else
  {
	  if (strcmp(argv[1],"validate")==0)
	  {
	  return validate(argv[2]);
	  }
  ERR("WTF!?");
  }

  //merge("klt_test/diff_1.xml","klt_test/diff_1.xml",3);
  return EXIT_SUCCESS;
}
