
/*
############################################################################
#    Copyright (C) 2008 by Andrianov Andrew                                #
#    aifiltr0@gmail.com                                                    #
#                                                                          #
#    This program is free software; you can redistribute it and#or modify  #
#    it under the terms of the GNU General Public License as published by  #
#    the Free Software Foundation; either version 3 of the License, or     #
#    (at your option) any later version.                                   #
#                                                                          #
#    This program is distributed in the hope that it will be useful,       #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#    GNU General Public License for more details.                          #
#                                                                          #
#    You should have received a copy of the GNU General Public License     #
#    along with this program; if not, write to the                         #
#    Free Software Foundation, Inc.,                                       #
#    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             #
############################################################################
*/
#define _DEBUG_ACTIONS 1
#define _DEBUG_SQL 1
#define _DEBUG_ERRORS 1

#ifndef _DEBUG_ACTIONS
#define DBG(...)	; 
#endif

#ifdef _DEBUG_ACTIONS
#define DBG(format, ...) fprintf (stderr, "KLT::DBG::%s::%s:%d:: " format "\n", __FILE__,__FUNCTION__,__LINE__, ##__VA_ARGS__)
#endif

/////////////////////////////////////////////
#ifndef _DEBUG_SQL
#define SQL(...)	; 
#endif

#ifdef _DEBUG_SQL
#define SQL(format, ...) fprintf (stderr, "KLT::SQL::%s::%s:%d:: " format "\n", __FILE__,__FUNCTION__,__LINE__, ##__VA_ARGS__)
#endif
/////////////////////////////////////////////

#ifndef _DEBUG_ERRORS
#define ERR(...)	; 
#endif

#ifdef _DEBUG_ERRORS
#define ERR(format, ...) fprintf (stderr, "KLT::ERR::%s::%s:%d:: " format "\n", __FILE__,__FUNCTION__,__LINE__, ##__VA_ARGS__)
#define ERN(format, ...) fprintf (stderr, "KLT::ERR::%s::%s:%d:: " format ", errno = %s\n", __FILE__,__FUNCTION__,__LINE__, ##__VA_ARGS__, strerror(errno))
#endif
/////////////////////////////////////////////
